package com.platform.dao;

import com.platform.entity.CategoryEntity;

import java.util.List;
import java.util.Map;

/**
 * Dao
 *
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-21 15:32:31
 */
public interface CategoryDao extends BaseDao<CategoryEntity> {

    public int deleteByParentBatch(Object[] id);

    List<CategoryEntity> queryByNameAndLevel(Map<String, Object> map);
}
